/*==========================================================================================================================
(c) Dmitriy N. Sakharov
ChangeCase v1.0

   Change Case       .

        sakhar@mail.ru
===========================================================================================================================*/	

with(app){
	if(app.documents.length==0){
		alert("  !");
		exit();
	}
	myDoc = app.activeDocument;
	myStyles = myDoc.paragraphStyles;
	myStringList = myStyles.everyItem().name;
	myCaseList = ["UPPERCASE", "Lowercase", "Title case", "Sentence case"];
	myCase = [ChangecaseMode.uppercase, ChangecaseMode.lowercase, ChangecaseMode.titlecase, ChangecaseMode.sentencecase];
	//  
	var myDialog = dialogs.add({name:"ChangeCase v1.0"});
	// 
	with (myDialog.dialogColumns.add()) {
		with (dialogRows.add().borderPanels.add().dialogColumns.add()) {
			with (dialogRows.add()) {
				staticTexts.add({staticLabel:"  : "});				
				var myDialogParagraphStyle = dropdowns.add({stringList:myStringList, selectedIndex:0});
			}			
			with (dialogRows.add()) {
				staticTexts.add({staticLabel:"                                  Case: "});
				var myDialogCase = dropdowns.add({stringList:myCaseList,selectedIndex:0});
			}
		}
		with (dialogRows.add()) {			
			dialogColumns.add().staticTexts.add({staticLabel:"() Dmitriy N. Sakharov    sakhar@mail.ru"});
		}
	}
	// 
	var myRes = myDialog.show();
	if (!myRes) {
		myDialog.destroy();
		exit();
	}	
	myStyleIndex = myDialogParagraphStyle.selectedIndex;
	myCaseIndex = myDialogCase.selectedIndex;
	findPreferences = null;
	changePreferences = null;
	findPreferences.appliedParagraphStyle = myStyles[myStyleIndex];
	mySearch = myDoc.search("",false,false,undefined);
	myLim = mySearch.length;
	for (var i=0; i < myLim; i++) {
		mySearch[i].texts[0].changecase(myCase[myCaseIndex]);
	}
	alert(" .\n\n() Dmitriy N. Sakharov \n sakhar@mail.ru");
}